<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template name="result-navigation">
    <xsl:param name="library"/>
    <xsl:variable name="hp"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='hp']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='hp']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:if test="not($hp=-1)">
      <xsl:variable name="hn"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='hn']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='hn']/@value"/></xsl:when><xsl:otherwise>1</xsl:otherwise></xsl:choose></xsl:variable>
      <xsl:variable name="sa" select="ancestor::page/pageRequest/@subaction"/>
      <xsl:variable name="prev" select="$hn - 1"/>
      <xsl:variable name="next" select="$hn + 1"/>
      <xsl:variable name="count" select="count(documentNodeList/documentNode)"/>
      <p />
      <center>
	<table cellspacing='0' cellpadding='0' width='537'>
	  <tr>
	    <td align='left'>
	      <xsl:if test="$hn &gt; 1"><a href="{$library}?a=q&amp;rt=r&amp;hn={$prev}"><img src="interfaces/default/images/less.gif" width='30' height='16' border='0' align='top'/><xsl:call-template name="text"><xsl:with-param name="key">query.matches</xsl:with-param></xsl:call-template><xsl:text> </xsl:text><xsl:value-of select="number(($prev - 1)*$hp + 1)"/> - <xsl:value-of select="number(($prev * $hp))"/></a></xsl:if>
	    </td>
	    <td align='right'>
	      <xsl:if test="(($hn * $hp) + 1)  &lt; $count">
		<xsl:variable name='m' select="number($next * $hp)"/>
		<xsl:variable name='mm'><xsl:choose><xsl:when test="$m &lt; $count"><xsl:value-of select='$m'/></xsl:when><xsl:otherwise><xsl:value-of select='$count'/></xsl:otherwise></xsl:choose></xsl:variable>
		<a href="{$library}?a=q&amp;sa={$sa}&amp;rt=r&amp;hn={$next}"><xsl:call-template name="text"><xsl:with-param name="key">query.matches</xsl:with-param></xsl:call-template><xsl:text> </xsl:text><xsl:value-of select="number(($next - 1)*$hp + 1)"/> - <xsl:value-of select="$mm"/><img src="interfaces/default/images/more.gif" width='30' height='16' border='0' align='top'/></a></xsl:if></td> </tr>
	</table>
      </center>
    </xsl:if>
  </xsl:template>
  
</xsl:stylesheet>


